package app13b.action;


import app13b.form.OrderForm;
import app13b.to.OrderTO;
import java.text.ParseException;
import java.text.SimpleDateFormat;
import java.util.Date;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import org.apache.struts.action.Action;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;

public class SaveOrderAction extends Action {

  public ActionForward execute(ActionMapping mapping, ActionForm form,
    HttpServletRequest request, HttpServletResponse response) throws Exception {
    OrderForm orderForm = (OrderForm) form;
    OrderTO order = new OrderTO();
    order.setProductId(orderForm.getProductId());
    order.setCustomer(orderForm.getCustomer());
    try {
      int quantity = Integer.parseInt(orderForm.getQuantity());
      order.setQuantity(quantity);  
    }
    catch (NumberFormatException e) {
    }
    try {
      float price = Float.parseFloat(orderForm.getPrice());
      order.setPrice(price);  
    }
      catch (NumberFormatException e) {
    }
    SimpleDateFormat dateFormatter = new SimpleDateFormat("MM/dd/yyyy");
    try {
      Date orderDate = dateFormatter.parse(orderForm.getOrderDate());
      order.setOrderDate(orderDate);
    }
    catch (ParseException e) {
    }

    // code for persisting the Order object goes here
      
    request.setAttribute("order", order);
    return (mapping.findForward("success"));
  }

}

